# Install.cmd script for the ABB Robotics control system rel 4.0 /PE 991125
#
setvar -var 10 -value 0
getkey -id "LangSelect" -var 10 -strvar $ANSWER -errlabel ENGLISH
goto -strvar $ANSWER

#FINNISH
if -var 9 -value 50 -label USER_QUERY_FIN
if -var 9 -value 30 -label USER_QUERY_FIN
goto -label PREP_LANG_FIN
#USER_QUERY_FIN
echo -text "Choose TP Language"
query -text "Finnish English                       " \
      -var 10 -fk_text
if -var 10 -value 20 -label ENGLISH
#PREP_LANG_FIN
echo -text "Installing Finnish text files"
setstr -strvar $LANG -value "fin"
goto -label INST_LANG
#CZECH
if -var 9 -value 50 -label USER_QUERY_CZR
if -var 9 -value 30 -label USER_QUERY_CZR
goto -label PREP_LANG_CZR
#USER_QUERY_CZR
echo -text "Choose TP Language"
query -text "Czech   English                       " \
      -var 10 -fk_text
if -var 10 -value 20 -label ENGLISH
#PREP_LANG_CZR
echo -text "Installing Czech text files"
setstr -strvar $LANG -value "czr"
goto -label INST_LANG
#SWEDISH
if -var 9 -value 50 -label USER_QUERY_SWE
if -var 9 -value 30 -label USER_QUERY_SWE
goto -label PREP_LANG_SWE
#USER_QUERY_SWE
echo -text "Choose TP Language"
query -text "Swedish English                       " \
      -var 10 -fk_text
if -var 10 -value 20 -label ENGLISH
#PREP_LANG_SWE
echo -text "Installing Swedish text files"
setstr -strvar $LANG -value "swe"
goto -label INST_LANG
#GERMAN
if -var 9 -value 50 -label USER_QUERY_GER
if -var 9 -value 30 -label USER_QUERY_GER
goto -label PREP_LANG_GER
#USER_QUERY_GER
echo -text "Choose TP Language"
query -text "German  English                       " \
      -var 10 -fk_text
if -var 10 -value 20 -label ENGLISH
#PREP_LANG_GER
echo -text "Installing German text files"
setstr -strvar $LANG -value "ger"
goto -label INST_LANG
#FRENCH
if -var 9 -value 50 -label USER_QUERY_FRA
if -var 9 -value 30 -label USER_QUERY_FRA
goto -label PREP_LANG_FRA
#USER_QUERY_FRA
echo -text "Choose TP Language"
query -text "French  English                       " \
      -var 10 -fk_text
if -var 10 -value 20 -label ENGLISH
#PREP_LANG_FRA
echo -text "Installing French text files"
setstr -strvar $LANG -value "fra"
goto -label INST_LANG
#SPANISH
if -var 9 -value 50 -label USER_QUERY_SPA
if -var 9 -value 30 -label USER_QUERY_SPA
goto -label PREP_LANG_SPA
#USER_QUERY_SPA
echo -text "Choose TP Language"
query -text "Spanish English                       " \
      -var 10 -fk_text
if -var 10 -value 20 -label ENGLISH
#PREP_LANG_SPA
echo -text "Installing Spanish text files"
setstr -strvar $LANG -value "spa"
goto -label INST_LANG
#PORTUGUESE
if -var 9 -value 50 -label USER_QUERY_POR
if -var 9 -value 30 -label USER_QUERY_POR
goto -label PREP_LANG_POR
#USER_QUERY_POR
echo -text "Choose TP Language"
query -text "Portuguese      English               " \
      -var 10 -fk_text
if -var 10 -value 30 -label ENGLISH
#PREP_LANG_POR
echo -text "Installing Portuguese text files"
setstr -strvar $LANG -value "por"
goto -label INST_LANG
#DANISH
if -var 9 -value 50 -label USER_QUERY_DAN
if -var 9 -value 30 -label USER_QUERY_DAN
goto -label PREP_LANG_DAN
#USER_QUERY_DAN
echo -text "Choose TP Language"
query -text "Danish  English                       " \
      -var 10 -fk_text
if -var 10 -value 20 -label ENGLISH
#PREP_LANG_DAN
echo -text "Installing Danish text files"
setstr -strvar $LANG -value "dan"
goto -label INST_LANG
#ITALIAN
if -var 9 -value 50 -label USER_QUERY_ITA
if -var 9 -value 30 -label USER_QUERY_ITA
goto -label PREP_LANG_ITA
#USER_QUERY_ITA
echo -text "Choose TP Language"
query -text "Italian English                       " \
      -var 10 -fk_text
if -var 10 -value 20 -label ENGLISH
#PREP_LANG_ITA
echo -text "Installing Italian text files"
setstr -strvar $LANG -value "ita"
goto -label INST_LANG
#DUTCH
if -var 9 -value 50 -label USER_QUERY_DUT
if -var 9 -value 30 -label USER_QUERY_DUT
goto -label PREP_LANG_DUT
#USER_QUERY_DUT
echo -text "Choose TP Language"
query -text "Dutch   English                       " \
      -var 10 -fk_text
if -var 10 -value 20 -label ENGLISH
#PREP_LANG_DUT
echo -text "Installing Dutch text files"
setstr -strvar $LANG -value "dut"
goto -label INST_LANG
#JAPANESE
if -var 9 -value 50 -label USER_QUERY_JAP
if -var 9 -value 30 -label USER_QUERY_JAP
goto -label PREP_LANG_JAP
#USER_QUERY_JAP 
echo -text "Japanese = Japanese(Katakana)"
echo -text "Choose TP Language"
query -text "Japanese        English               " \
      -var 10 -fk_text
if -var 10 -value 30 -label ENGLISH
#PREP_LANG_JAP
echo -text "Installing Japanese text files"
setstr -strvar $LANG -value "jap"
#load Katakana fonts
setvar -var 7 -value 1
goto -label INST_LANG
#ENGLISH
echo -text "Installing English text files"
setstr -strvar $LANG -value "eng"
goto -label INST_LANG
#INST_LANG
setstr -strvar $TXTPATH -value $BOOTPATH/../txt$LANG
fileexist -path $TXTPATH/hi.$LANG -label LOAD_TEXT
echo -text "Language not available!"
echo -text "Installing English text files"
setstr -strvar $LANG -value "eng"
setstr -strvar $TXTPATH -value $BOOTPATH/../txt$LANG

#LOAD_TEXT
text -filename $TXTPATH/fox.$LANG -package 0
text -filename $TXTPATH/hi.$LANG -package 0
text -filename $TXTPATH/him.$LANG -package 0
text -filename $TXTPATH/hix.$LANG -package 0
text -filename $TXTPATH/hif.$LANG -package 0
text -filename $TXTPATH/hio.$LANG -package 0
text -filename $TXTPATH/hic.$LANG -package 0
text -filename $TXTPATH/hij.$LANG -package 0
text -filename $TXTPATH/his.$LANG -package 0
text -filename $TXTPATH/hia.$LANG -package 0
text -filename $TXTPATH/hiaerr.$LANG -package 0
text -filename $TXTPATH/prop.$LANG -package 0
text -filename $TXTPATH/hiasea.$LANG -package 0
text -filename $TXTPATH/hip.$LANG -package 0
text -filename $TXTPATH/hiref.$LANG -package 0
#
# RAPID error texts
#
text -filename  $TXTPATH/rlmseter.$LANG -package 0
text -filename  $TXTPATH/rlmoveer.$LANG -package 0
text -filename  $TXTPATH/rlmsyser.$LANG -package 0
text -filename  $TXTPATH/rlexeer.$LANG -package 0
text -filename  $TXTPATH/rlcomer.$LANG -package 0
text -filename  $TXTPATH/rlioer.$LANG -package 0
text -filename  $TXTPATH/rltraper.$LANG -package 0
text -filename  $TXTPATH/rlmmecer.$LANG -package 0
text -filename  $TXTPATH/rlsyser.$LANG -package 0
text -filename  $TXTPATH/rlloader.$LANG -package 0
text -filename  $TXTPATH/rlcureer.$LANG -package 0
text -filename  $TXTPATH/rlmsrcer.$LANG -package 0
text -filename  $TXTPATH/rltriger.$LANG -package 0
text -filename  $TXTPATH/rlrapser.$LANG -package 0
text -filename  $TXTPATH/rlmather.$LANG -package 0
text -filename  $TXTPATH/rlsseter.$LANG -package 0
text -filename  $TXTPATH/rlstrer.$LANG -package 0
text -filename  $TXTPATH/rlwzer.$LANG -package 0
text -filename  $TXTPATH/rltooler.$LANG -package 0
text -filename  $TXTPATH/rlfstaer.$LANG -package 0
text -filename  $TXTPATH/rlsymer.$LANG -package 0
text -filename  $TXTPATH/rlbiter.$LANG -package 0
text -filename  $TXTPATH/rlcaler.$LANG -package 0
text -filename  $TXTPATH/rlcnver.$LANG -package 0
#
#Configuration edit texts
#
text -filename $TXTPATH/eiommcnx.$LANG -package 0
text -filename $TXTPATH/eio_350.$LANG -package 0
text -filename $TXTPATH/eio_351.$LANG -package 0
text -filename $TXTPATH/eio_352.$LANG -package 0
text -filename $TXTPATH/eio_378.$LANG -package 0
text -filename $TXTPATH/mmc_cfg.$LANG -package 0
# using moccfgnx.eng for S4C-systems and moccfgs4.eng for S4-systems
text -filename $TXTPATH/moc_cfg.$LANG -package 0
text -filename $TXTPATH/com_mmc.$LANG -package 0
text -filename $TXTPATH/sys_mmc.$LANG -package 0
text -filename $TXTPATH/cab.$LANG -package 0
#
#elog texts
#
text -filename $TXTPATH/usr_elog.$LANG -package 0
text -filename $TXTPATH/mmc_elog.$LANG -package 0
text -filename $TXTPATH/sys_elog.$LANG -package 0
text -filename $TXTPATH/opr_elog.$LANG -package 0
text -filename $TXTPATH/arl_elog.$LANG -package 0
text -filename $TXTPATH/io_elog.$LANG -package 0
#text -filename $TXTPATH/hw_elog.$LANG -package 0
text -filename $TXTPATH/moc_elog.$LANG -package 0
text -filename $TXTPATH/io_s4c.$LANG -package 0
text -filename $TXTPATH/hw_s4c.$LANG -package 0
text -filename $TXTPATH/sys_s4c.$LANG -package 0
